read.cdffile {makecdfenv} | R Documentation

## Read a CDF file

### Description

Read the data contained in a CDF file

### Usage

    read.cdffile(file, compress=FALSE)

### Arguments

`file` | the name of the CDF file
`compress` | whether the file is compressed or not

### Details

This function is intended for use by `make.cdf.env`, which in turn is called by `make.cdf.package`. User may not have much benefit from calling this function directly.

In order to save memory, the name corresponding to each value in the CEL is a factor. As in R `factor` objects cannot be also of type `matrix`, the names corresponding to the indices were stored in a vector of type `character` called `name.levels`. The same thing was done with the pbase and cbase information (more for consistency than by conviction that some memory could be saved here).

### Value

Returns a `Cdf-class` object.

### Note

A `Cdf` object is not a cdf environment, which will be needed for the computation of expression values from the probe intensities in a `AffyBatch`.

### Author(s)

Laurent Gautier (laurent@cbs.dtu.dk)

### See Also

`Cdf-class`

### Examples

    fn <- system.file("extdata", "Hu6800.CDF.gz", package="makecdfenv")
    mycdf <- read.cdffile(fn, compress=TRUE)
    mycdf

[Package makecdfenv version 1.14.0 Index]